Skip to main content
GET
/
stats
/
api
/
v1
/
price_checkpoints
Get Price Checkpoint History
curl --request GET \
  --url https://api.example.com/stats/api/v1/price_checkpoints
{
  "nextEpoch": 123,
  "nextTxOrdinal": 123,
  "nextOrdinal": 123,
  "value": [
    {
      "epochId": "<string>",
      "txOrdinal": "<string>",
      "indexPriceHash": "<string>",
      "symbol": "<string>",
      "indexPrice": "<string>",
      "markPrice": "<string>",
      "time": "<string>",
      "ema": "<string>",
      "priceOrdinal": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "success": true,
  "timestamp": 123
}

Query Parameters

limit
integer
default:500

The number of rows to return

epoch
integer

The epoch boundary used when fetching the next timeseries page.

txOrdinal
integer

The txOrdinal boundary used when fetching the next timeseries page. Must be passed along with epoch.

order
enum<string>
default:asc

The ordering of the results.

Available options:
asc,
desc
symbol
string

The symbol

priceHash
string

the index price hash of the mark price. Multiple price hash values can be provided.

Example:

"0xe30f69fffa653b9cb7d4e90f099fe12ea21c5ff8e97f7854dd"

Response

Price checkpoint data

Successful response for the Price Checkpoints API

nextEpoch
number | null
required

Pointer for the epoch boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

nextTxOrdinal
number | null
required

Pointer for the txOrdinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

3432

null

nextOrdinal
number | null
required

Pointer for the ordinal boundary of the next page. Will return null when there is no more data left to fetch.

Examples:

100

null

value
object[]
required

The value of the response

success
boolean
required

Whether the request was successful

timestamp
number
required

The timestamp of the response

Example:

1673031089

Last modified on April 27, 2026